## org.omg.PortableInterceptor
Class InvalidSlotHelper

    java.lang.Object
      |
      +--org.omg.PortableInterceptor.InvalidSlotHelper

public class InvalidSlotHelper
extends java.lang.Object

Helper class for : InvalidSlot

Author:
  OpenORB Compiler

Constructor Summary
`InvalidSlotHelper()`

Method Summary
`static InvalidSlot` `extract(Any a)` Extract InvalidSlot from an any
`static java.lang.String` `id()` Return the InvalidSlot IDL ID
`static void` `insert(Any a, InvalidSlot t)` Insert InvalidSlot into an any
`static InvalidSlot` `read(InputStream istream)` Read InvalidSlot from a marshalled stream
`static TypeCode` `type()` Return the InvalidSlot TypeCode
`static void` `write(OutputStream ostream, InvalidSlot value)` Write InvalidSlot into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvalidSlotHelper

    public InvalidSlotHelper()

Method Detail

### insert

    public static void insert(Any a,
                              InvalidSlot t)

  Insert InvalidSlot into an any
  Parameters:
    `a` - an any
    `t` - InvalidSlot value

### extract

    public static InvalidSlot extract(Any a)

  Extract InvalidSlot from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted InvalidSlot value

### type

    public static TypeCode type()

  Return the InvalidSlot TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the InvalidSlot IDL ID
  Returns:
    an ID

### read

    public static InvalidSlot read(InputStream istream)

  Read InvalidSlot from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed InvalidSlot value

### write

    public static void write(OutputStream ostream,
                             InvalidSlot value)

  Write InvalidSlot into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - InvalidSlot value